Subject: Re: bug#12598: 24.2; utf-8 codepoints in doc-strings and compression of .el and .elc files

From: Stefan Monnier <[email-masked]>
Date: Sun, 03 Feb 2013 11:06:59 -0500

>> We could, but I suspect that the problem (and the fix) would be the same
>> for all file-name-handlers.  IOW, the problem is not in how to access
>> the file's contents, but in how eval-buffer (used by
>> load-with-code-conversion) doesn't handle byte-compiled file correctly.
> Should eval-buffer handle byte-compiled code in a buffer?

BTW, making it work might be nice, but it's only worth the trouble if
the result is correct.  I.e. after correctly skipping the #@NNN, we also
want to make sure that subsequent needs to load the corresponding
dynamic docstring or (or dynamic bytecode) can correctly find it.

        Stefan